# TdApi.UpdateNotificationGroup (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateNotificationGroup

Package it.tdlight.jni

# Class TdApi.UpdateNotificationGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNotificationGroup

Enclosing class:
  TdApi

    public static class TdApi.UpdateNotificationGroup
    extends TdApi.Update

A list of active notifications in a notification group has changed.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.Notification[]` | `addedNotifications` | List of added group notifications, sorted by notification ID.
`long` | `chatId` | Identifier of a chat to which all notifications in the group belong.
`static int` | `CONSTRUCTOR` |
`boolean` | `isSilent` | True, if the notifications must be shown without sound.
`int` | `notificationGroupId` | Unique notification group identifier.
`long` | `notificationSettingsChatId` | Chat identifier, which notification settings must be applied to the added notifications.
`int[]` | `removedNotificationIds` | Identifiers of removed group notifications, sorted by notification ID.
`int` | `totalCount` | Total number of unread notifications in the group, can be bigger than number of active notifications.
`TdApi.NotificationGroupType` | `type` | New type of the notification group.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateNotificationGroup()` | A list of active notifications in a notification group has changed.
`UpdateNotificationGroup​(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, boolean isSilent, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)` | A list of active notifications in a notification group has changed.
`UpdateNotificationGroup​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### notificationGroupId

public int notificationGroupId
Unique notification group identifier.

### type

public TdApi.NotificationGroupType type
New type of the notification group.

### chatId

public long chatId
Identifier of a chat to which all notifications in the group belong.

### notificationSettingsChatId

public long notificationSettingsChatId
Chat identifier, which notification settings must be applied to the added notifications.

### isSilent

public boolean isSilent
True, if the notifications must be shown without sound.

### totalCount

public int totalCount
Total number of unread notifications in the group, can be bigger than number of active notifications.

### addedNotifications

public TdApi.Notification[] addedNotifications
List of added group notifications, sorted by notification ID.

### removedNotificationIds

public int[] removedNotificationIds
Identifiers of removed group notifications, sorted by notification ID.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateNotificationGroup

public UpdateNotificationGroup()
A list of active notifications in a notification group has changed.

### UpdateNotificationGroup

public UpdateNotificationGroup​(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, boolean isSilent, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)
A list of active notifications in a notification group has changed.

Parameters:
  `notificationGroupId` - int Unique notification group identifier.
  `type` - NotificationGroupType New type of the notification group.
  `chatId` - long Identifier of a chat to which all notifications in the group belong.
  `notificationSettingsChatId` - long Chat identifier, which notification settings must be applied to the added notifications.
  `isSilent` - boolean True, if the notifications must be shown without sound.
  `totalCount` - int Total number of unread notifications in the group, can be bigger than number of active notifications.
  `addedNotifications` - Notification[] List of added group notifications, sorted by notification ID.
  `removedNotificationIds` - int[] Identifiers of removed group notifications, sorted by notification ID.

### UpdateNotificationGroup

public UpdateNotificationGroup​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`